/*
 * wifly.h
 *
 *  Created on: 16/10/2013
 *      Author: Tomàs Clar
 */

#ifndef WIFLY_H_
#define WIFLY_H_

#define  portCP 					(0x3)
#define  portWifly  				(0x0)

#define RST_WIFLY_PIN				(22)




void wifly_Init(uint8_t port, uint32_t baudrate);
void wifly_Reset(void);
void wifly_waitForResponse( char * ordre, uint32_t nbytes);

void wifly_wifiConnect(uint8_t * ssid, uint8_t * phrase, uint8_t channel, uint8_t auth);
void wifly_pingTestServer(uint8_t * testserver, uint8_t pings);
void wifly_getIPsettings(void);
void wifly_getIPaddress(char *ipaddress);
void wifly_getWlanSettings(void);
uint32_t wifly_getRSSI(void);
uint32_t wifly_getTime(void);
void wifly_setWiFi_TxPower(uint8_t txpower);
void wifly_setHTTPclient(char * sever, char * httpmsg);
void wifly_tcp_connect(uint8_t * host, uint32_t port);
void wifly_setBaudrate(uint32_t newbaudrate);

#endif /* WIFLY_H_ */
/*****************************************************************************
**                            End Of File
******************************************************************************/
